Subject: Re: bug#22746: 25.0.90; OS X: Visual bell hard to see

From: Toon Claes <[email-masked]>
Date: Wed, 03 Aug 2016 00:00:52 +0200

John Wiegley <[email-masked]> writes:

> Alan Third <[email-masked]> writes:
>
>>> There already is an easy way to set `ring-bell-function', so I'm really not
>>> sure what you are asking.
>
> Sorry, I just didn't know about it. :)

So, do we keep the current behavior and rely on third-party packages
like echo-bell.el to customize the behavior?

Or, if we should chose to customize built-in the behavior, maybe a few more
settings should be considered:
 - Duration: Compared to echo-bell-mode, the default warning sign is
 shown way too long. A configurable duration would be nice.
 - Image: Maybe people also would like to specify the image shown as
 visible bell (e.g. Pikachu: https://twitter.com/ErgoEmacs/status/759546738306748416/photo/1 )

TBH, I suggest to keep the current behavior and let user to set
`ring-bell-function' if they like something different.

Regards,
Toon